## ros-indigo-schunk-description 0.6.12

=== debian/changelog ===
ros-indigo-schunk-description (0.6.12-0trusty) trusty; urgency=high

  * Merge pull request #200 <https://github.com/ipa320/schunk_modular_robotics/issues/200> from PilzDE/fix-pg70-urdf-limits
    fix PG+70 limits and simplify collision model
  * fix limits and simplify collision model
    The gripper fingers both can move 30mm according to the datasheet
    to give a distance of 60mm between the fingers.
    The _finger_palm_link can be easily simplified as a box geometry
    for faster collision checking.
  * Contributors: Joachim Schleicher, Nadia Hammoudeh García

 -- Bruno Brito <bfb@ipa.fhg.de>  Wed, 15 Aug 2018 22:00:00 -0000

ros-indigo-schunk-description (0.6.11-0trusty) trusty; urgency=high



 -- Bruno Brito <bfb@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-schunk-description (0.6.10-0trusty) trusty; urgency=high

  * Merge pull request #198 <https://github.com/ipa320/schunk_modular_robotics/issues/198> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #197 <https://github.com/ipa320/schunk_modular_robotics/issues/197> from christian-rauch/mesh_face_orientation
    fix face orientation "Re-Orient all faces coherently"
  * fix face orientation "Re-Orient all faces coherently"
  * Merge pull request #196 <https://github.com/ipa320/schunk_modular_robotics/issues/196> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #191 <https://github.com/ipa320/schunk_modular_robotics/issues/191> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Christian Rauch, Felix Messmer, Florian Weisshardt, ipa-fxm

 -- Bruno Brito <bfb@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-schunk-description (0.6.9-0trusty) trusty; urgency=high

  * Revert "python True/False"
    This reverts commit 28ee3a0bca4514baef065d4e2744b73ca7bd35f9.
  * python True/False
  * move gazebo_ros_control plugin
  * Merge pull request #173 <https://github.com/ipa320/schunk_modular_robotics/issues/173> from ubi-agni/non_penetrating_collision
    Non-penetrating and simplified collision objects
  * Added reduced collision meshes for knuckles and palm, with no interpenetration
  * Added better inertia estimation for sdh (meshlab + aluminum density + adjusted to total mass)
  * manually fix changelog
  * use default_transmission macro
  * introduce default_transmission macro
  * cleanup
  * newer xacro macros and missing include
  * new package schunk_pg70
  * Arm of cob3-6 configuration for twist controller
  * Added missing include of common.xacro to access default_inertial macro
  * Fix xacro warnings
  * Contributors: Bruno Brito, Felix Messmer, Guillaume Walck, ipa-fxm, ipa-nhg

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-indigo-schunk-description (0.6.8-0trusty) trusty; urgency=high

  * Enabled collison
  * pw70 working
  * Contributors: Andreea Tulbure, Denis Štogl

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-schunk-description (0.6.7-0trusty) trusty; urgency=high

  * Update lwa4p.urdf.xacro with joint speed limits.
  * Updated lwa4p urdf with manufacturer's specified joint limits.
  * added schunk_lwa4d_custom macro and changed setting to use_factory_settings to make it easier to add default/DH config
  * added comment describing invert parameters
  * added axis invert macro and set up parameters for each joint -- defaults to dh convention
  * added 'invert' paramter to lwa4d xacro description, default value matches DH params, -1 matches default hardware configuration
  * fix meshes for lwa4p
  * fix lwa4d urdf - joint orientation according to convention
  * Contributors: Allison Thackston, William McMahan, ipa-fxm, wmcmahan

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-schunk-description (0.6.6-0trusty) trusty; urgency=high



 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Mon, 31 Aug 2015 22:00:00 -0000

ros-indigo-schunk-description (0.6.5-0trusty) trusty; urgency=high



 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-schunk-description (0.6.4-0trusty) trusty; urgency=high

  * fix pg70
  * migration to package format 2
  * remove trailing whitespaces
  * remove obsolete autogenerated mainpage.dox files
  * review dependencies
  * Contributors: ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-schunk-description (0.6.3-0trusty) trusty; urgency=high

  * remove unsupported calibration_rising
  * proper rounding of joint_limits for lwa4d
  * proper rounding of joint_limits for lwa4p
  * round down joint limits for lwa4p_extended
  * Update lwa4p_extended.urdf.xacro
    Velocity and Positions limits updated according to firmware settings
  * reduce joint limits for moveit
  * default inertia
  * fix transmission for mimic joint
  * allow cob3 components to be used with PositionJointInterface
  * empty lines
  * Fixes import error
  * Safety_offset
  * safety_offset
  * Merge branch 'patch-1' of github.com:thiagodefreitas/schunk_modular_robotics into patch-2
    Conflicts:
    schunk_description/urdf/lwa4p_extended/lwa4p_extended_without_base.urdf.xacro
  * Fixes the limits for the lwa4d
  * Merge branch 'indigo_dev' of https://github.com/ipa320/schunk_modular_robotics into patch-2
    Conflicts:
    schunk_description/urdf/lwa4p_extended/lwa4p_extended.urdf.xacro
  * new urdf structure
  * Merge branch 'patch-1' of github.com:thiagodefreitas/schunk_modular_robotics into indigo_dev
    Conflicts:
    schunk_description/urdf/lwa4d/lwa4d.urdf.xacro
  * new without_base descriptions
  * updated schunk_lwa4d description
  * Update pg70.urdf.xacro
  * lwad description without base
  * Update lwa4p_extended.urdf.xacro
    Proposing this as according to the tests on the Schunk LWA4D, the limits should be reduced from the HW limit in a range of 0.01 radians

